hx-entityDocs {
  .cursor-style .card.block-ui-white
  {
    cursor: auto;
  }

  .badge-close {

    cursor: pointer;
    border-radius: 50%;
  }
  svg .fill-background{
    fill:#e0e0e0;
  }svg .fill-border{
    fill:black;
    stroke: #444444;
    stroke-width: 2;
  }


  .inputbox-edit {
    padding: 5px 5px 5px 5px;
    min-height: unset;
    max-width: 100%;
    border: 1px solid rgba(24, 28, 33, 0);
    // font-weight: 600;
    // font-size: 16px;
    font-size:1.6rem;
    letter-spacing: -1px;
    position: absolute;
    left: 0;
  }

  .entity-docs-tokens {
    padding: 5px 5px 5px 5px;
    min-height: unset;
    max-width: 100%;
    border: 1px solid rgba(24, 28, 33, 0);
    font-size:1.6rem;
    letter-spacing: normal;
    word-spacing: normal;
    font-weight: 400;
    line-height: 1.7;
    color: transparent;
    min-width: 40px;
    display:inline-block;
    height: 50px;

    .token-present {
      font-family: 'worksans';
      letter-spacing: -1px;
    }

    .token-error{
      font-family: 'worksans';
      letter-spacing: -1px;
      visibility: hidden;
      .token-error-tooltip{
        display: none;
      }
    }

    .token-present:before, .token-present:after, .token-error:before, .token-error:after {
      height: 39px;
    }
    #highlightedHtml{
      font-family: 'worksans';
      letter-spacing: -1px;
      word-spacing: 0.3px;
    }
    .token-dash {
      top:36px;
    }
  }
  .values-align {
    display: inline-flex;
  }

  .dropdown-list-icons {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    line-height: 2em;
      }

  .list-svg-icons {margin-right: 2px;}

  .applied-filter
  {
    width: calc(100% - 300px);
    white-space: nowrap;
    display: inline-flex;
    // overflow:hidden;
    // padding: 0.4375rem 0;
    // overflow: hidden !important;
    // overflow-x: auto !important;
  }

  .d-block.ion-ios-save, .ilh {line-height: 2em !important; }

  .date-input-material .ngxmdp
  {
    position: absolute;
  }

 

.filter-dropdown-parent {
  position: absolute; right: 16px;z-index:9;top: 162px;
}

.mob-btn-elements 
{
  position: absolute;top: 0;right: 54px;
}

.card-header-title.card-header-mobile {width: 75%;}

  @media screen and (min-width: 320px) and (max-width: 575px) {
    .mob-btn-elements {
      top: -3px;
      right:38px;
}

    .btn-default.pick-btn {
      line-height: 2 !important;
    }
    .mydrp .alignselectorright {
      right: 88px !important;
    }
    .filter-dropdown-parent {
      top: 48px;
      }
    }

  @media screen and (min-width: 576px) and (max-width: 767px) {
    .mob-btn-elements {top: -3px;right:7px}
    .media-breakpoint-576 {
      width: calc(100% - 300px) !important;
      overflow: hidden;
      overflow-x: auto;
    }

    .edit-title-mob {
      padding: 5px 0px 5px 10px;
    }
    
    .filter-dropdown-parent {
      top: 133px;
      }
  }

  @media screen and (min-width: 768px) and (max-width: 992px) {
    .mob-btn-elements {top: -3px;right:7px}

    .media-breakpoint-576 {
      width: calc(100% - 295px) !important;
      overflow: hidden;
      overflow-x: auto;
    }

    .card-header-icon_elements {
      width: 60% !important;
    }

    .edit-title-mob {
      padding: 5px 0px 5px 10px;
    }
    
    .filter-dropdown-parent {
      top: 133px;
      }
    }

  @media screen and (min-width: 993px) and (max-width: 1024px) {
    .edit-title-mob {
      padding: 5px 0px 5px 10px;
    }
    .mob-btn-elements {top: -3px;right:7px}
  }


// MAC AIR BOOK 11" TO 12" (Pixels: 1056 to 1152) (Resolution: 1366 x 768)
  @media screen and (min-width: 1056px) and (max-width: 1140px) {
  .card-header-title.card-header-mobile .inputbox-edit {
  width: calc(100% - 75px) !important;
}
  } 
  // MAC AIR BOOK 11" TO 12.5


  #fm-pivot-view a.fm-ui-btn-light, #fm-toolbar-wrapper a.fm-ui-btn-light {
    font-weight: normal;
    text-transform: none;
    padding: 11px 11px;
  }

  #fm-popup-format-cells {
    // top: -150px !important;
    top: -190px !important;
}


  #fm-pivot-view #fm-calculated-view {
    top: -210px !important;
  }
}


// TESTING
.group-label
{
  width: 135px;
  height: 45px;
  border-width: 1px;
  border-style: solid;
  border-radius: 5px;
  margin: 0;
}

.label-style
{
  width: 100%;
  display: block;
  padding-left: 0.875rem;
  font-size: 10px !important;
  margin-bottom:0 !important;
  position: relative;
}

.custom-badge-style .badge
{
text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    max-width: 110px;
    border-radius:12px;
  }

.date-input-material .input-box-style,
.custom-badge-style
{
  min-height: auto;
  padding: 0 0px 2px 12px !important;
  font-size: 12px;
}

.close-badge {
  position: absolute;
  top: 2px;
  right: 0px;
  background: #999999 !important;
  border-radius:100%;
}

// .date-input-material .input-box-style:focus {
//   border: none !important;
//   box-shadow: none;
// }
    // TESTING


    .tooltip-style .tooltip-inner
{
  min-width: 200px !important;
}

.tooltip-style .bs-tooltip-bottom {
  padding: 0rem 0 !important;
}


@keyframes shadow-pulse
{
     0% {
          box-shadow: 0 0 0 0px rgba(227, 230, 58, 0.8);
     }
     100% {
          box-shadow: 0 0 0 10px rgba(227, 230, 58, 0.2);
     }
}


.highlight-pivot-tools .btn
{
     animation: shadow-pulse 1s infinite;
}

.edit-title-mob {
  font-size: 0.894rem;
  line-height: 1.40;
  min-height: calc(2rem + 2px);
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  max-width: calc(100% - 80px);
}


// chart svg
.svg-grid {
// max-width: 100%;
// width: 100%;
// height: 100%;
max-width: 100%;
width: 150px;
height: 150px;
margin: 0 auto;
}

.card-custom {
  border-width: 1px !important;
  border-style: solid;
}

.cf-text {border-top: 1px solid rgb(202, 202, 202);
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.dd-list {max-width: 25%;}

.dd-list p {
  white-space: normal;
  word-wrap: break-word;
}

.dropdown-head-sec {
display: -webkit-box;
display: -ms-flexbox;
display: flex;
-webkit-box-align: start;
-ms-flex-align: start;
align-items: flex-start;
-webkit-box-pack: justify;
padding: 0.5rem 0.9rem;
}

.dropdown-head-sec .btn.btn-primary.btn-md {position: absolute; right: 1rem; top: 0.6rem;}
.switch-btn-style .dropdown-menu {    top: 18px !important;}

.switch-btn-style
{
  & ul li a {font-size: 14px;}
}

// Side navigation panel
.navigation-card {
  width: 300px;
  // min-height: calc(50vh + 296px);
  position: absolute !important;
  margin: 0 0px 0px -20px;
  // height: calc(100vh - 194px);
  min-height: calc(100vh - 194px);
  overflow: hidden;
  overflow-y: auto;
  -webkit-box-shadow: 2px 6px 5px 0px rgba(0, 0, 0, 0.25) !important;
  -moz-box-shadow: 2px 6px 5px 0px rgba(0, 0, 0, 0.25) !important;
  box-shadow: 2px 6px 5px 0px rgba(0, 0, 0, 0.25) !important;
  border: none !important;
  transition: all 0.3s ease-in-out 0s;
  .nav-tabs-left > .tab-content{
  border:0px !important;
  width: calc(100% - 90px);
  // width: calc(100% - 57px);
  padding: 0 5px;
  }
  }
  
  .navigation-header {
    // margin-top: 10px;
    // padding: 0 0px 0px 30px;
    // display: inline-flex;
  
  & span {
      text-align: left; font-size: 1rem;
    }
  
    & h5 {
      padding: 0 0px 0px 20px; font-weight: bold;
    }
  
    // & div {
    //   position: absolute; right: 15px; font-size: 1rem;
    // }
  }
  
  .navigation-body
  {
    
   & .btn-link {
  padding: 0;
   } 
  
   & .card {
    box-shadow: inherit;
    border: none;
    border-radius: 0;
     }
  
     & .card-body {
       
      padding: 0.2rem 0rem;

      & .mat-tree {
        max-height: calc(75vh - 160px);
        overflow-y: auto;
      }

      .h-top .data_source_select .options
      {
      max-height:100px
      }

      .mat-tree-node {min-height: 35px !important; height: 35px !important;}
}
  
  & .card-header {
    padding: 0.5rem 1rem;
    border-radius: 0;
}
  
  & .collapse-icon {
    height: auto;
  }

  & .collapse-icon::after
  {
    margin-top: 0.3rem;
  }
  
.svg-grid {height: 8.56em;}
mat-icon{
  margin-top:-10px;
}
  }
  .right-column
  {
    // width: calc(100% - 70px); 
    margin-left: 300px;
  }
  
  // Side navigation panel
  .clm-titile{
    padding:10px 0px 10px 0px;
    font-size:13px;
  }
 
  
  .dd-list-items .dropdown-item svg,
  .navmenu-ddlist .dropdown-item svg 
  {vertical-align: text-top !important;}